<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /Users/sdy/AVS/github/avs-device-sdk/ApplicationUtilities -&gt; CapabilityAgents Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_748b5abbb33df61eda67007924a1a0cb.html">ApplicationUtilities</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>ApplicationUtilities &rarr; CapabilityAgents Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in ApplicationUtilities</th><th class="dirtab">Includes file in CapabilityAgents</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_cc045affa42b6b559da6861739bda652.html">AIP</a>&#160;/&#160;<a class="el" href="dir_7702e81a4574d959c78d0e2207e83661.html">include</a>&#160;/&#160;<a class="el" href="dir_99c44a41b01529fab191699ee73b1155.html">AIP</a>&#160;/&#160;<a class="el" href="_audio_input_processor_8h.html">AudioInputProcessor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_cc045affa42b6b559da6861739bda652.html">AIP</a>&#160;/&#160;<a class="el" href="dir_7702e81a4574d959c78d0e2207e83661.html">include</a>&#160;/&#160;<a class="el" href="dir_99c44a41b01529fab191699ee73b1155.html">AIP</a>&#160;/&#160;<a class="el" href="_audio_provider_8h.html">AudioProvider.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a>&#160;/&#160;<a class="el" href="dir_32ca2b1be26df65d1a152938de056228.html">include</a>&#160;/&#160;<a class="el" href="dir_0756d7cbdb43a6da05839251aad86022.html">Alerts</a>&#160;/&#160;<a class="el" href="_alerts_capability_agent_8h.html">AlertsCapabilityAgent.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a>&#160;/&#160;<a class="el" href="dir_32ca2b1be26df65d1a152938de056228.html">include</a>&#160;/&#160;<a class="el" href="dir_0756d7cbdb43a6da05839251aad86022.html">Alerts</a>&#160;/&#160;<a class="el" href="dir_1656c60ef95a11243527b5fde52c6272.html">Renderer</a>&#160;/&#160;<a class="el" href="_renderer_8h.html">Renderer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a>&#160;/&#160;<a class="el" href="dir_32ca2b1be26df65d1a152938de056228.html">include</a>&#160;/&#160;<a class="el" href="dir_0756d7cbdb43a6da05839251aad86022.html">Alerts</a>&#160;/&#160;<a class="el" href="dir_3a838cdc91a18df9ded334d2455473ab.html">Storage</a>&#160;/&#160;<a class="el" href="_alert_storage_interface_8h.html">AlertStorageInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_9dde9d78e15cabfb8e2b222ee9474f52.html">AudioPlayer</a>&#160;/&#160;<a class="el" href="dir_0b9723c2c8bc9e838121a6fbc73cf49e.html">include</a>&#160;/&#160;<a class="el" href="dir_96850cc6d2c5822d23f38a41ba6afa08.html">AudioPlayer</a>&#160;/&#160;<a class="el" href="_audio_player_8h.html">AudioPlayer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_51ceba3e0236022a3ce16bfbc638804e.html">Notifications</a>&#160;/&#160;<a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notifications_capability_agent_8h.html">NotificationsCapabilityAgent.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_51ceba3e0236022a3ce16bfbc638804e.html">Notifications</a>&#160;/&#160;<a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a>&#160;/&#160;<a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a>&#160;/&#160;<a class="el" href="_notification_renderer_8h.html">NotificationRenderer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_7b6c89f8529a936fe9cff738852cb883.html">PlaybackController</a>&#160;/&#160;<a class="el" href="dir_62320dd1e359410b2bb8c7402cc0d6b2.html">include</a>&#160;/&#160;<a class="el" href="dir_9b2c5dcc9c19074fca01bc8994e03851.html">PlaybackController</a>&#160;/&#160;<a class="el" href="_playback_controller_8h.html">PlaybackController.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_7b6c89f8529a936fe9cff738852cb883.html">PlaybackController</a>&#160;/&#160;<a class="el" href="dir_62320dd1e359410b2bb8c7402cc0d6b2.html">include</a>&#160;/&#160;<a class="el" href="dir_9b2c5dcc9c19074fca01bc8994e03851.html">PlaybackController</a>&#160;/&#160;<a class="el" href="_playback_router_8h.html">PlaybackRouter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_7b2f53332397a9531c02a7761b07578b.html">Settings</a>&#160;/&#160;<a class="el" href="dir_d2ddfe87420d7ac75b0237f25eb53378.html">include</a>&#160;/&#160;<a class="el" href="dir_4d2a03295670c0db0e68a4f7881dc380.html">Settings</a>&#160;/&#160;<a class="el" href="_settings_8h.html">Settings.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_7b2f53332397a9531c02a7761b07578b.html">Settings</a>&#160;/&#160;<a class="el" href="dir_d2ddfe87420d7ac75b0237f25eb53378.html">include</a>&#160;/&#160;<a class="el" href="dir_4d2a03295670c0db0e68a4f7881dc380.html">Settings</a>&#160;/&#160;<a class="el" href="_settings_storage_interface_8h.html">SettingsStorageInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_7b2f53332397a9531c02a7761b07578b.html">Settings</a>&#160;/&#160;<a class="el" href="dir_d2ddfe87420d7ac75b0237f25eb53378.html">include</a>&#160;/&#160;<a class="el" href="dir_4d2a03295670c0db0e68a4f7881dc380.html">Settings</a>&#160;/&#160;<a class="el" href="_settings_updated_event_sender_8h.html">SettingsUpdatedEventSender.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_bc46a16e1ec7aec8565980dcd59aba5c.html">SpeakerManager</a>&#160;/&#160;<a class="el" href="dir_58f46be1458388d2fc10aa8246ff1704.html">include</a>&#160;/&#160;<a class="el" href="dir_a869cc6fda2838386502524bc993d90a.html">SpeakerManager</a>&#160;/&#160;<a class="el" href="_speaker_manager_8h.html">SpeakerManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_097c79eef3239c0772ccd3b4f7a59e99.html">SpeechSynthesizer</a>&#160;/&#160;<a class="el" href="dir_6e2730d153b793e6456d6b6cc64aaf73.html">include</a>&#160;/&#160;<a class="el" href="dir_a90f42b18fd0de782ffa29d6415f38bd.html">SpeechSynthesizer</a>&#160;/&#160;<a class="el" href="_speech_synthesizer_8h.html">SpeechSynthesizer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_5c34f9d308a00f77f2da80e40fcb7b22.html">System</a>&#160;/&#160;<a class="el" href="dir_76128cd39a5afd90f6d9deea527eb79c.html">include</a>&#160;/&#160;<a class="el" href="dir_03b67ee1b6ab353c932baaa9d86e354a.html">System</a>&#160;/&#160;<a class="el" href="_software_info_sender_8h.html">SoftwareInfoSender.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_2ce7981903fe15aa6f7811d72ec7c5b0.html">include</a>&#160;/&#160;<a class="el" href="dir_0845c58bdef45a28aaa936ac3bf60c12.html">DefaultClient</a>&#160;/&#160;<a class="el" href="_default_client_8h.html">DefaultClient.h</a></td><td class="dirtab"><a class="el" href="dir_ad7482f55cfb335a38f864aa77f75e62.html">TemplateRuntime</a>&#160;/&#160;<a class="el" href="dir_c812ba13d40d97c773fd9f77093be04d.html">include</a>&#160;/&#160;<a class="el" href="dir_029029bde7d05d489ea7e2dc05d6ef88.html">TemplateRuntime</a>&#160;/&#160;<a class="el" href="_template_runtime_8h.html">TemplateRuntime.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_73357987a539283f3665c6273c0b97e7.html">src</a>&#160;/&#160;<a class="el" href="_default_client_8cpp.html">DefaultClient.cpp</a></td><td class="dirtab"><a class="el" href="dir_7b2f53332397a9531c02a7761b07578b.html">Settings</a>&#160;/&#160;<a class="el" href="dir_d2ddfe87420d7ac75b0237f25eb53378.html">include</a>&#160;/&#160;<a class="el" href="dir_4d2a03295670c0db0e68a4f7881dc380.html">Settings</a>&#160;/&#160;<a class="el" href="_settings_updated_event_sender_8h.html">SettingsUpdatedEventSender.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_73357987a539283f3665c6273c0b97e7.html">src</a>&#160;/&#160;<a class="el" href="_default_client_8cpp.html">DefaultClient.cpp</a></td><td class="dirtab"><a class="el" href="dir_5c34f9d308a00f77f2da80e40fcb7b22.html">System</a>&#160;/&#160;<a class="el" href="dir_76128cd39a5afd90f6d9deea527eb79c.html">include</a>&#160;/&#160;<a class="el" href="dir_03b67ee1b6ab353c932baaa9d86e354a.html">System</a>&#160;/&#160;<a class="el" href="_endpoint_handler_8h.html">EndpointHandler.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b085260ed2fdec2a77be746aa0e6e508.html">DefaultClient</a>&#160;/&#160;<a class="el" href="dir_73357987a539283f3665c6273c0b97e7.html">src</a>&#160;/&#160;<a class="el" href="_default_client_8cpp.html">DefaultClient.cpp</a></td><td class="dirtab"><a class="el" href="dir_5c34f9d308a00f77f2da80e40fcb7b22.html">System</a>&#160;/&#160;<a class="el" href="dir_76128cd39a5afd90f6d9deea527eb79c.html">include</a>&#160;/&#160;<a class="el" href="dir_03b67ee1b6ab353c932baaa9d86e354a.html">System</a>&#160;/&#160;<a class="el" href="_user_inactivity_monitor_8h.html">UserInactivityMonitor.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.4.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
